1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

2.81 downgrade (please don't shoot the noob)

Discussion in 'Sony PSP - Mod and firmware discussion' started by morphed, Feb 12, 2007.

  1. morphed

    morphed Member

    Joined:
    Feb 12, 2007
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    11
    Hi,

    I'd be grateful if anyone can confirm if I can downgrade my PSP in its current state. I've acquired the correct version of GTA:LCS, in fact there were about 8 copies of it in my local GameStation for £14.99 half the price of one on ebay ;)

    The question is, most of the more recent downgraders are for 3.03 to 1.50, if I let me PSP upgrade to the latest version it will update to 3.11 which I gather is not possible as yet to downgrade from. So is there a reliable way to get from 2.81 to 1.50 without producing an expensive paper weight!

    Cheers
     
  2. paul91

    paul91 Regular member

    Joined:
    Sep 27, 2006
    Messages:
    970
    Likes Received:
    0
    Trophy Points:
    26
    first upgrade to 3.03 and then use the 3.03 downgrader - i have never downgraded a 3.03 PSP so im afraid i cant help you with that process
     
  3. balkie16

    balkie16 Regular member

    Joined:
    Dec 10, 2006
    Messages:
    233
    Likes Received:
    0
    Trophy Points:
    26
    yea so i guess just go download 3.03 fw off the net and update to 3.03 then use your gta with 3.03 downgrader to get that bad boy to 1.5 fw LOL, hope it works because i have no idea aswell
     
  4. REAM

    REAM Guest

    which gamestation do you go to?

    and how do you knoe, do they let you check it?

    what do you have to look for when cheking?

    tnx.
     
  5. jimmylee1

    jimmylee1 Member

    Joined:
    Feb 12, 2007
    Messages:
    24
    Likes Received:
    0
    Trophy Points:
    11
    Hi dude, I have downgraded using that gta way. It does work although there is a risk of bricking i read. but if you are willing to take the risk then: http://noobz.eu/joomla/index.php
    Just follow it and you should be fine.

    -Lee
     
  6. jimmylee1

    jimmylee1 Member

    Joined:
    Feb 12, 2007
    Messages:
    24
    Likes Received:
    0
    Trophy Points:
    11
    If you are already at 3.03 then all you need is "the Official v1.50 Firmware Update EBOOT"

    -Lee

    (If i am wrong then someone please correct me)
     
  7. hpo56

    hpo56 Regular member

    Joined:
    Sep 3, 2006
    Messages:
    139
    Likes Received:
    0
    Trophy Points:
    26
    If you want the 3.03 Update google qj download and in the search bar type in 3.03 until you find the update
     

Share This Page